IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/20
Addresses2^108
/64 networks2^44
- Network
ff0e::/20- First address
ff0e::- Last address
ff0e:fff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 324,518,553,658,426,726,783,156,020,576,256 (2^108)
- /64 networks (LANs)
- 17,592,186,044,416 (2^44)
- Full form
ff0e:0000:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
0.e.0.f.f.ip6.arpa
Split into smaller subnets
ff0e::/20 makes 4,096 subnets of /32; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | ff0e::/32 | ff0e:0:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ff0e:1::/32 | ff0e:1:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ff0e:2::/32 | ff0e:2:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ff0e:3::/32 | ff0e:3:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ff0e:4::/32 | ff0e:4:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ff0e:5::/32 | ff0e:5:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ff0e:6::/32 | ff0e:6:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ff0e:7::/32 | ff0e:7:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ff0e:8::/32 | ff0e:8:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ff0e:9::/32 | ff0e:9:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ff0e:a::/32 | ff0e:a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ff0e:b::/32 | ff0e:b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ff0e:c::/32 | ff0e:c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ff0e:d::/32 | ff0e:d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ff0e:e::/32 | ff0e:e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ff0e:f::/32 | ff0e:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ff0e:10::/32 | ff0e:10:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ff0e:11::/32 | ff0e:11:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ff0e:12::/32 | ff0e:12:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ff0e:13::/32 | ff0e:13:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ff0e:14::/32 | ff0e:14:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ff0e:15::/32 | ff0e:15:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ff0e:16::/32 | ff0e:16:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ff0e:17::/32 | ff0e:17:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ff0e:18::/32 | ff0e:18:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ff0e:19::/32 | ff0e:19:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ff0e:1a::/32 | ff0e:1a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ff0e:1b::/32 | ff0e:1b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ff0e:1c::/32 | ff0e:1c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ff0e:1d::/32 | ff0e:1d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ff0e:1e::/32 | ff0e:1e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ff0e:1f::/32 | ff0e:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ff0e:20::/32 | ff0e:20:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ff0e:21::/32 | ff0e:21:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ff0e:22::/32 | ff0e:22:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ff0e:23::/32 | ff0e:23:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ff0e:24::/32 | ff0e:24:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ff0e:25::/32 | ff0e:25:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ff0e:26::/32 | ff0e:26:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ff0e:27::/32 | ff0e:27:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ff0e:28::/32 | ff0e:28:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ff0e:29::/32 | ff0e:29:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ff0e:2a::/32 | ff0e:2a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ff0e:2b::/32 | ff0e:2b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ff0e:2c::/32 | ff0e:2c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ff0e:2d::/32 | ff0e:2d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ff0e:2e::/32 | ff0e:2e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ff0e:2f::/32 | ff0e:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ff0e:30::/32 | ff0e:30:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ff0e:31::/32 | ff0e:31:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ff0e:32::/32 | ff0e:32:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ff0e:33::/32 | ff0e:33:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ff0e:34::/32 | ff0e:34:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ff0e:35::/32 | ff0e:35:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ff0e:36::/32 | ff0e:36:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ff0e:37::/32 | ff0e:37:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ff0e:38::/32 | ff0e:38:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ff0e:39::/32 | ff0e:39:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ff0e:3a::/32 | ff0e:3a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ff0e:3b::/32 | ff0e:3b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ff0e:3c::/32 | ff0e:3c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ff0e:3d::/32 | ff0e:3d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ff0e:3e::/32 | ff0e:3e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ff0e:3f::/32 | ff0e:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ff0e:40::/32 | ff0e:40:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ff0e:41::/32 | ff0e:41:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ff0e:42::/32 | ff0e:42:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ff0e:43::/32 | ff0e:43:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ff0e:44::/32 | ff0e:44:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ff0e:45::/32 | ff0e:45:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ff0e:46::/32 | ff0e:46:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ff0e:47::/32 | ff0e:47:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ff0e:48::/32 | ff0e:48:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ff0e:49::/32 | ff0e:49:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ff0e:4a::/32 | ff0e:4a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ff0e:4b::/32 | ff0e:4b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ff0e:4c::/32 | ff0e:4c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ff0e:4d::/32 | ff0e:4d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ff0e:4e::/32 | ff0e:4e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ff0e:4f::/32 | ff0e:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ff0e:50::/32 | ff0e:50:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ff0e:51::/32 | ff0e:51:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ff0e:52::/32 | ff0e:52:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ff0e:53::/32 | ff0e:53:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ff0e:54::/32 | ff0e:54:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ff0e:55::/32 | ff0e:55:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ff0e:56::/32 | ff0e:56:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ff0e:57::/32 | ff0e:57:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ff0e:58::/32 | ff0e:58:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ff0e:59::/32 | ff0e:59:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ff0e:5a::/32 | ff0e:5a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ff0e:5b::/32 | ff0e:5b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ff0e:5c::/32 | ff0e:5c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ff0e:5d::/32 | ff0e:5d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ff0e:5e::/32 | ff0e:5e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ff0e:5f::/32 | ff0e:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ff0e:60::/32 | ff0e:60:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ff0e:61::/32 | ff0e:61:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ff0e:62::/32 | ff0e:62:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ff0e:63::/32 | ff0e:63:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ff0e:64::/32 | ff0e:64:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ff0e:65::/32 | ff0e:65:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ff0e:66::/32 | ff0e:66:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ff0e:67::/32 | ff0e:67:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ff0e:68::/32 | ff0e:68:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ff0e:69::/32 | ff0e:69:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ff0e:6a::/32 | ff0e:6a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ff0e:6b::/32 | ff0e:6b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ff0e:6c::/32 | ff0e:6c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ff0e:6d::/32 | ff0e:6d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ff0e:6e::/32 | ff0e:6e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ff0e:6f::/32 | ff0e:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ff0e:70::/32 | ff0e:70:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ff0e:71::/32 | ff0e:71:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ff0e:72::/32 | ff0e:72:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ff0e:73::/32 | ff0e:73:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ff0e:74::/32 | ff0e:74:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ff0e:75::/32 | ff0e:75:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ff0e:76::/32 | ff0e:76:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ff0e:77::/32 | ff0e:77:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ff0e:78::/32 | ff0e:78:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ff0e:79::/32 | ff0e:79:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ff0e:7a::/32 | ff0e:7a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ff0e:7b::/32 | ff0e:7b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ff0e:7c::/32 | ff0e:7c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ff0e:7d::/32 | ff0e:7d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ff0e:7e::/32 | ff0e:7e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ff0e:7f::/32 | ff0e:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ff0e:80::/32 | ff0e:80:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ff0e:81::/32 | ff0e:81:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ff0e:82::/32 | ff0e:82:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ff0e:83::/32 | ff0e:83:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ff0e:84::/32 | ff0e:84:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ff0e:85::/32 | ff0e:85:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ff0e:86::/32 | ff0e:86:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ff0e:87::/32 | ff0e:87:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ff0e:88::/32 | ff0e:88:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ff0e:89::/32 | ff0e:89:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ff0e:8a::/32 | ff0e:8a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ff0e:8b::/32 | ff0e:8b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ff0e:8c::/32 | ff0e:8c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ff0e:8d::/32 | ff0e:8d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ff0e:8e::/32 | ff0e:8e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ff0e:8f::/32 | ff0e:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ff0e:90::/32 | ff0e:90:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ff0e:91::/32 | ff0e:91:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ff0e:92::/32 | ff0e:92:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ff0e:93::/32 | ff0e:93:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ff0e:94::/32 | ff0e:94:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ff0e:95::/32 | ff0e:95:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ff0e:96::/32 | ff0e:96:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ff0e:97::/32 | ff0e:97:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ff0e:98::/32 | ff0e:98:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ff0e:99::/32 | ff0e:99:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ff0e:9a::/32 | ff0e:9a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ff0e:9b::/32 | ff0e:9b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ff0e:9c::/32 | ff0e:9c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ff0e:9d::/32 | ff0e:9d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ff0e:9e::/32 | ff0e:9e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ff0e:9f::/32 | ff0e:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ff0e:a0::/32 | ff0e:a0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ff0e:a1::/32 | ff0e:a1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ff0e:a2::/32 | ff0e:a2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ff0e:a3::/32 | ff0e:a3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ff0e:a4::/32 | ff0e:a4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ff0e:a5::/32 | ff0e:a5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ff0e:a6::/32 | ff0e:a6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ff0e:a7::/32 | ff0e:a7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ff0e:a8::/32 | ff0e:a8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ff0e:a9::/32 | ff0e:a9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ff0e:aa::/32 | ff0e:aa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ff0e:ab::/32 | ff0e:ab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ff0e:ac::/32 | ff0e:ac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ff0e:ad::/32 | ff0e:ad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ff0e:ae::/32 | ff0e:ae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ff0e:af::/32 | ff0e:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ff0e:b0::/32 | ff0e:b0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ff0e:b1::/32 | ff0e:b1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ff0e:b2::/32 | ff0e:b2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ff0e:b3::/32 | ff0e:b3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ff0e:b4::/32 | ff0e:b4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ff0e:b5::/32 | ff0e:b5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ff0e:b6::/32 | ff0e:b6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ff0e:b7::/32 | ff0e:b7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ff0e:b8::/32 | ff0e:b8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ff0e:b9::/32 | ff0e:b9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ff0e:ba::/32 | ff0e:ba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ff0e:bb::/32 | ff0e:bb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ff0e:bc::/32 | ff0e:bc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ff0e:bd::/32 | ff0e:bd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ff0e:be::/32 | ff0e:be:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ff0e:bf::/32 | ff0e:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ff0e:c0::/32 | ff0e:c0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ff0e:c1::/32 | ff0e:c1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ff0e:c2::/32 | ff0e:c2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ff0e:c3::/32 | ff0e:c3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ff0e:c4::/32 | ff0e:c4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ff0e:c5::/32 | ff0e:c5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ff0e:c6::/32 | ff0e:c6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ff0e:c7::/32 | ff0e:c7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ff0e:c8::/32 | ff0e:c8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ff0e:c9::/32 | ff0e:c9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ff0e:ca::/32 | ff0e:ca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ff0e:cb::/32 | ff0e:cb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ff0e:cc::/32 | ff0e:cc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ff0e:cd::/32 | ff0e:cd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ff0e:ce::/32 | ff0e:ce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ff0e:cf::/32 | ff0e:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ff0e:d0::/32 | ff0e:d0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ff0e:d1::/32 | ff0e:d1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ff0e:d2::/32 | ff0e:d2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ff0e:d3::/32 | ff0e:d3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ff0e:d4::/32 | ff0e:d4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ff0e:d5::/32 | ff0e:d5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ff0e:d6::/32 | ff0e:d6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ff0e:d7::/32 | ff0e:d7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ff0e:d8::/32 | ff0e:d8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ff0e:d9::/32 | ff0e:d9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ff0e:da::/32 | ff0e:da:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ff0e:db::/32 | ff0e:db:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ff0e:dc::/32 | ff0e:dc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ff0e:dd::/32 | ff0e:dd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ff0e:de::/32 | ff0e:de:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ff0e:df::/32 | ff0e:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ff0e:e0::/32 | ff0e:e0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ff0e:e1::/32 | ff0e:e1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ff0e:e2::/32 | ff0e:e2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ff0e:e3::/32 | ff0e:e3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ff0e:e4::/32 | ff0e:e4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ff0e:e5::/32 | ff0e:e5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ff0e:e6::/32 | ff0e:e6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ff0e:e7::/32 | ff0e:e7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ff0e:e8::/32 | ff0e:e8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ff0e:e9::/32 | ff0e:e9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ff0e:ea::/32 | ff0e:ea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ff0e:eb::/32 | ff0e:eb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ff0e:ec::/32 | ff0e:ec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ff0e:ed::/32 | ff0e:ed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ff0e:ee::/32 | ff0e:ee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ff0e:ef::/32 | ff0e:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ff0e:f0::/32 | ff0e:f0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ff0e:f1::/32 | ff0e:f1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ff0e:f2::/32 | ff0e:f2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ff0e:f3::/32 | ff0e:f3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ff0e:f4::/32 | ff0e:f4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ff0e:f5::/32 | ff0e:f5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ff0e:f6::/32 | ff0e:f6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ff0e:f7::/32 | ff0e:f7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ff0e:f8::/32 | ff0e:f8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ff0e:f9::/32 | ff0e:f9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ff0e:fa::/32 | ff0e:fa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ff0e:fb::/32 | ff0e:fb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ff0e:fc::/32 | ff0e:fc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ff0e:fd::/32 | ff0e:fd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ff0e:fe::/32 | ff0e:fe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ff0e:ff::/32 | ff0e:ff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |